# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['agora', 'agora.io', 'agora.utils', 'logfile_parser']

package_data = \
{'': ['*'],
 'agora.io': ['.mypy_cache/*',
              '.mypy_cache/3.7/*',
              '.mypy_cache/3.7/_pytest/*',
              '.mypy_cache/3.7/_pytest/_code/*',
              '.mypy_cache/3.7/_pytest/_io/*',
              '.mypy_cache/3.7/_pytest/assertion/*',
              '.mypy_cache/3.7/_pytest/config/*',
              '.mypy_cache/3.7/_pytest/mark/*',
              '.mypy_cache/3.7/_typeshed/*',
              '.mypy_cache/3.7/attr/*',
              '.mypy_cache/3.7/collections/*',
              '.mypy_cache/3.7/ctypes/*',
              '.mypy_cache/3.7/email/*',
              '.mypy_cache/3.7/importlib/*',
              '.mypy_cache/3.7/importlib_metadata/*',
              '.mypy_cache/3.7/iniconfig/*',
              '.mypy_cache/3.7/json/*',
              '.mypy_cache/3.7/logging/*',
              '.mypy_cache/3.7/matplotlib/*',
              '.mypy_cache/3.7/numpy/*',
              '.mypy_cache/3.7/numpy/compat/*',
              '.mypy_cache/3.7/numpy/core/*',
              '.mypy_cache/3.7/numpy/distutils/*',
              '.mypy_cache/3.7/numpy/fft/*',
              '.mypy_cache/3.7/numpy/lib/*',
              '.mypy_cache/3.7/numpy/polynomial/*',
              '.mypy_cache/3.7/numpy/typing/*',
              '.mypy_cache/3.7/os/*',
              '.mypy_cache/3.7/packaging/*',
              '.mypy_cache/3.7/pandas/core/*',
              '.mypy_cache/3.7/pandas/core/dtypes/*',
              '.mypy_cache/3.7/pandas/core/groupby/*',
              '.mypy_cache/3.7/pandas/core/indexes/*',
              '.mypy_cache/3.7/py/*',
              '.mypy_cache/3.7/unittest/*',
              '.mypy_cache/3.7/urllib/*',
              '.pytest_cache/*',
              '.pytest_cache/v/cache/*'],
 'agora.utils': ['.mypy_cache/*',
                 '.mypy_cache/3.7/*',
                 '.mypy_cache/3.7/_pytest/*',
                 '.mypy_cache/3.7/_pytest/_code/*',
                 '.mypy_cache/3.7/_pytest/_io/*',
                 '.mypy_cache/3.7/_pytest/assertion/*',
                 '.mypy_cache/3.7/_pytest/config/*',
                 '.mypy_cache/3.7/_pytest/mark/*',
                 '.mypy_cache/3.7/_typeshed/*',
                 '.mypy_cache/3.7/attr/*',
                 '.mypy_cache/3.7/collections/*',
                 '.mypy_cache/3.7/ctypes/*',
                 '.mypy_cache/3.7/email/*',
                 '.mypy_cache/3.7/importlib/*',
                 '.mypy_cache/3.7/importlib_metadata/*',
                 '.mypy_cache/3.7/iniconfig/*',
                 '.mypy_cache/3.7/json/*',
                 '.mypy_cache/3.7/logging/*',
                 '.mypy_cache/3.7/matplotlib/*',
                 '.mypy_cache/3.7/numpy/*',
                 '.mypy_cache/3.7/numpy/compat/*',
                 '.mypy_cache/3.7/numpy/core/*',
                 '.mypy_cache/3.7/numpy/distutils/*',
                 '.mypy_cache/3.7/numpy/fft/*',
                 '.mypy_cache/3.7/numpy/lib/*',
                 '.mypy_cache/3.7/numpy/matrixlib/*',
                 '.mypy_cache/3.7/numpy/polynomial/*',
                 '.mypy_cache/3.7/numpy/typing/*',
                 '.mypy_cache/3.7/os/*',
                 '.mypy_cache/3.7/packaging/*',
                 '.mypy_cache/3.7/pandas/*',
                 '.mypy_cache/3.7/pandas/core/*',
                 '.mypy_cache/3.7/pandas/core/arrays/*',
                 '.mypy_cache/3.7/pandas/core/dtypes/*',
                 '.mypy_cache/3.7/pandas/core/groupby/*',
                 '.mypy_cache/3.7/pandas/core/indexes/*',
                 '.mypy_cache/3.7/py/*',
                 '.mypy_cache/3.7/pytest/*',
                 '.mypy_cache/3.7/unittest/*',
                 '.mypy_cache/3.7/urllib/*'],
 'logfile_parser': ['grammars/*']}

install_requires = \
['PyYAML>=6.0,<7.0',
 'h5py==2.10',
 'numpy>=1.6.0',
 'opencv-python',
 'pandas>=1.1.4,<2.0.0',
 'py-find-1st>=1.1.5,<2.0.0']

setup_kwargs = {
    'name': 'aliby-agora',
    'version': '0.2.21',
    'description': 'A gathering of shared utilities for the Swain Lab image processing pipeline.',
    'long_description': None,
    'author': 'Julian Pietsch',
    'author_email': 'jpietsch@ed.ac.uk',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7.1,<3.11',
}


setup(**setup_kwargs)
